'use strict';

var index = require('./index-DSiE2De_.js');

const DgaSliderUsage = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.activeStep = 1;
        this.minValue = 10;
        this.maxValue = 100;
    }
    render() {
        return (index.h(index.Fragment, { key: '8ad3abb2d42c73e6ffd9af4b8a38d1cafa95a43a' }, index.h("br", { key: '068734c5524f3b7cb727cc192b5a6cd66f59d00d' }), index.h("dga-slider", { key: '8e8114689c98453b5fb17c26fba189efbdc4fa5f', min: this.minValue, max: this.maxValue, step: 1, range: true, size: "medium", helperText: "Helper Text Example", label: "Test", sx: {
                backgroundColor: "yellow",
                marginTop: "200px",
                ".range-slider-inner-rail": {
                    backgroundColor: "red"
                }
            } }), ";", index.h("br", { key: 'da676bc7899b320da016f0289ca3df8266d94f1f' }), this.minValue, " - ", this.maxValue, index.h("dga-slider", { key: '8ee87aab7b0cb7bf02c5454108dd6a92bff1fc5a' })));
    }
};

exports.dga_slider_usage = DgaSliderUsage;
